-- name: [CS] G-Man
-- description: The right man in the wrong place...can make all the difference...

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_GMAN = smlua_model_util_get_id("gman_geo")

local TEX_GMAN = get_texture_info("gman-icon")

local TEXT_MOD_NAME = "G-Man"



if _G.charSelectExists then
    CT_CHAR = _G.charSelect.character_add("G-Man", {"The right man in the wrong place...","can make all the difference..."}, "CT Himself", {r = 245, g = 121, b = 0}, E_MODEL_GMAN, CT_MARIO, TEX_GMAN)



else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end